Bug 450428 - Freenx requires xdamage and xcomposite, but rpm doesn't depend on them
Freenx requires xdamage and xcomposite, but rpm doesn't depend on them
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: freenx-server (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-08 02:23 EDT by Greg Martyn
Modified: 2009-07-14 13:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:48:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Martyn 2008-06-08 02:23:36 EDT
Description of problem:
The server requires libXdamage and libXcomposite, but they're not pulled in as
deps when freenx is installed.

Version-Release number of selected component (if applicable):
0.7.1.svn416-3.el5.cen and 0.7.2-8.fc9

How reproducible:
always

Steps to Reproduce:
1. Install fedora or centos with absolute minimum of packages
2. Install the freenx server with yum
  
Actual results:
Get error message about missing libXdamage.so.1. After installing that, get
error message about missing libXcomposite.so.1. Install that and it works

Expected results:
No errors

Additional info:
Comment 1 Axel Thimm 2008-08-26 14:51:16 EDT
There are new updates for nx/freenx-server for F9 and F8:

https://admin.fedoraproject.org/updates/nx-3.2.0-30.fc9,freenx-server-0.7.3-11.fc9
https://admin.fedoraproject.org/updates/nx-3.2.0-30.fc8,freenx-server-0.7.3-11.fc8

The packages are schedules to be released in updates-testing first, but you can already pull them manually from the URLs above.

Please check whether the reported issue still applies to these packages. Thanks!
Comment 2 Axel Thimm 2008-08-26 15:32:17 EDT
If the updates don't address your bug report, can you please detail a bit more how the failure in Fedora is manifested? freenx itself should not pull in any binary dependencies - it is almost all just bash code.
Comment 3 Bug Zapper 2009-06-09 21:28:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 13:48:04 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.